Versiones Rails y Ruby


#1

Buenas,

Hace unos tres meses dejé algo avandonado Ruby on Rails y ahora no se
como andan las cosas. Voy a empezar una start-up y me gustaría saber
que versiones serían las mejores para empezar a trabajar. Uso Leopard
y tengo Apache con Passenger, Ruby 1.8.6 y Rails 2.1.2.

A ver si podéis aconsejarme y así a grandes rasgos he leído que
gettext se ha mejorado o algo. Alguien concreta más?

Saludos.


#2

Buenas Jordi,

lo primero que te recomiendo es pasar a rails 2.3.2
Gettext ha mejorado si tiras de fastgettext
(http://github.com/grosser/fast_gettext/tree/master
)

Saludos,

Isaac Feliu


#3

Yo estoy con 2.2.2, ¿Isaaac, también me recomiendas 2.3.2?
No lo he echo todavía porque comentaban que aún daba algunos problemas…
Mas que nada es que estoy aprendiendo el libro Rail Space y este
trabaja con la versión 2.2.2 y a lo mejor me lío al trabajar con otra.

Un saludito.

El día 27 de marzo de 2009 21:54, Isaac Feliu Pérez
removed_email_address@domain.invalid
escribió:>

Ror-es mailing list
removed_email_address@domain.invalid
http://lists.simplelogica.net/mailman/listinfo/ror-es


Fernando V.
Web Designer
http://www.fernandoval.com


#4

Si, supongo que tienes razón, pero la verdad es que aún me resulta
todo un poco difícil, teniendo en cuenta que soy
másdiseñador-front-developer, así que me voya a esperar a terminar el
libro y luego miro de actualizarme a 2.3.2 o lo que esté en ese
momento, ya que voy despacito…
Muchas gracias de todos modos por tu punto de vista.

El día 27 de marzo de 2009 22:54, Isaac Feliu Pérez
removed_email_address@domain.invalid
escribió:> Sobre los cambios y tal de los libros y tutoriales… seguro que el

Yo estoy con 2.2.2, ¿Isaaac, también me recomiendas 2.3.2?

lo primero que te recomiendo es pasar a rails 2.3.2
On Mar 27, 2009, at 9:51 PM, Jordi V. Alvarez wrote:

A ver si podéis aconsejarme y así a grandes rasgos he leído que
removed_email_address@domain.invalid
Ror-es mailing list
removed_email_address@domain.invalid
http://lists.simplelogica.net/mailman/listinfo/ror-es


Ror-es mailing list
removed_email_address@domain.invalid
http://lists.simplelogica.net/mailman/listinfo/ror-es


Fernando V.
Web Designer
http://www.fernandoval.com


#5

Particularmente siempre que puedo trabajo con la última versión
“estable” de rails. ¿Porque? Pues porque a cada versión sacan más
cosas interesantes que vale la pena utilizar y la documentación e
información que puedes encontrar en blogs va avanzando con el
framework… Aparte de optimizaciones, rendimiento, etc…

Total, que si no hay nada que lo impida, ultima versión estable
siempre. En nuestro caso, estuvimos anclados a rails 2.1.2 porque
utilizabamos gettext y con rails 2.2 nos jodieron el invento, pero en
cuanto podimos, nos liamos la manta a la cabeza e hicimos el upgrade a
2.3.2 sin apenas problemas (Los tests ayudan aqui. ;))

Sobre los cambios y tal de los libros y tutoriales… seguro que el
libro este es cojonudo, pero… no te daria rabia aprender a hacer
cosas con rails 2.2.2 y descubrir luego que con 2.3.2 se pueden hacer
de otra forma mejor y tal? Pues eso. :stuck_out_tongue:

Saludos,

Isaac Feliu


#6

Hola fernando, yo me encuentro más o menos en tu misma situación. Soy
más
diseñador que programador. Mi opinión es que: “el mundo no va aparar
por
ti”
Me explico:
Yo me compre hace unos meses el “The Rails Way de Obie”. Todo
ilusionado,
pensando “me leo este pedazo de libro y ya soy un crack de rails”
Por circunstancias aun lo tengo a medias. Si me pongo a revisar todo lo
que
ha cambiado desde que este libro salio…en fin

Lo que hago es tener el libro como libro de consulta o cuando me voy
fuera
me lo llevo y lo leo para disfrutar (sin un ordenador delante, como si
fuera
una novela :slight_smile:
Pienso (en mi opinión) que la mejor forma de aprender es como dice
Isacc,
con la última versión y desarrollando algo para asi ir descrubiendo las
novedades.
El otro día Vicent Gonzalves dejo un tutorial muy bueno en la lista [1].
Es
una App para gestionar incidencias. Pero está hecha con una versión más
antigua.
Lo que yo pienso es que como ejercicio es mucho más provecho coger esta
App
y actualizarla para que tire con 2.3. Yo lo prefiero a seguir un libro
capitulo por capitulo
Pero esto sólo es una opinión.

[1] http://www.ruby-forum.com/topic/182448#797979

El 27 de marzo de 2009 23:02, Fernando removed_email_address@domain.invalid escribió:


#7

Pero repito, casi me convences.

ja,ja,…no esta mal mi poder de persuasión eh?
No, en serio. Esta claro que lo que tienes que hacer es hacer las cosas
como
más conveniente te parezca.

Un saludo

El 28 de marzo de 2009 0:12, Fernando removed_email_address@domain.invalid escribió:


#8

Casi casi me convences Andrés, porque de hecho estoy haciendo el
Openticket de Vicen (voy por el screencast 5) y me está gustando mucho
el tema de ir resolviendo los problemas que me salen con la diferencia
de versiones. Pero es que el Rails Space me lo compré porqué
precisamente realiza una aplicación de Red social, que es justamente
lo que quiero hacer cómo aplicación de aprendizaje a fondo.
Entonces creo que voy a simultanear el Openticket de Vicen con Rails
Space sobre la versión 2.2.2. Luego me paso a la 2.3.X y trato de
actualizar Rails Space y luego ya iré descubriendo cosas nuevas
conforme salgan y tal…

Pero repito, casi me convences.

Un saludo.

2009/3/27 Andrés gutiérrez removed_email_address@domain.invalid:

una novela :slight_smile:

framework… Aparte de optimizaciones, rendimiento, etc…
de otra forma mejor y tal? Pues eso. :stuck_out_tongue:

Mas que nada es que estoy aprendiendo el libro Rail Space y este

)

Buenas,

http://lists.simplelogica.net/mailman/listinfo/ror-es
Fernando V.
removed_email_address@domain.invalid
http://lists.simplelogica.net/mailman/listinfo/ror-es


Fernando V.
Web Designer
http://www.fernandoval.com